## dhcpcd 0.4

=== Makefile ===
# $Id: Makefile,v 0.1 1996/09/22 04:54:17 yoichi v0_33 yoichi $

TARGET=	dhcpcd
BINDIR= /usr/sbin
SRCS=	main.c if.c client.c options.c socket-if.c arp.c error-handler.c \
	signal-handler.c daemon.c hostinfo.c memory.c
OBJS=	$(SRCS:.c=.o)
#CFLAGS=	-g -Wall -DNEED_BCAST_RESPONSE
CFLAGS=	-g -Wall

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(LFLAGS) $(OBJS)

install:
	mkdir -p /etc/dhcpc
	install -cs -m 500 $(TARGET) $(BINDIR)

main.c:		if.h dhcp.h signal-handler.h error-handler.h daemon.h
if.c:		if.h dhcp.h error-handler.h
client.c:	dhcp.h dhcp-options.h socket-if.h arp.h error-handler.h \
		hostinfo.h client.h
options.c:	dhcp.h dhcp-options.h
socket-if.c:	dhcp.h dhcp-options.h error-handler.h
arp.c:		dhcp.h if.h arp.h socket-if.h error-handler.h
daemon.c:	daemon.h error-handler.h
hostinfo.c:	hostinfo.h dhcp.h dhcp-options.h error-handler.h \
		signal-handler.h
error-handler.c:	error-handler.h
signal-handler.c:	dhcp.h if.h signal-handler.h error-handler.h


tar:
	tar cvf - *.c *.h Makefile README* ACK Changes pcmcia rc.d \
	dhcpcd.8 dhcpcd.lsm | gzip -9 > dhcpcd-src.tar.gz

clean:
	rm -f *.o *~ */*~ core

## dhcpcd 0.70

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
-# $Id: Makefile,v 0.1 1996/09/22 04:54:17 yoichi v0_33 yoichi $
+# $Id: Makefile,v 0.3 1997/01/31 16:48:47 yoichi v0_5 yoichi $
 
 TARGET=	dhcpcd
 BINDIR= /usr/sbin
 SRCS=	main.c if.c client.c options.c socket-if.c arp.c error-handler.c \
 	signal-handler.c daemon.c hostinfo.c memory.c
 OBJS=	$(SRCS:.c=.o)
+TARFILES= *.c *.h Makefile README* ACK Changes dhcpcd.8 dhcpcd.lsm
+TARDIRS= pcmcia rc.d
+
 #CFLAGS=	-g -Wall -DNEED_BCAST_RESPONSE
 CFLAGS=	-g -Wall
 
@@ -29,9 +32,36 @@
 signal-handler.c:	dhcp.h if.h signal-handler.h error-handler.h
 
 
+tags:
+	etags *.[ch]
+
 tar:
-	tar cvf - *.c *.h Makefile README* ACK Changes pcmcia rc.d \
-	dhcpcd.8 dhcpcd.lsm | gzip -9 > dhcpcd-src.tar.gz
+	tar cvf - $(TARFILES) $(TARDIRS) | gzip -9 > dhcpcd-src.tar.gz
+
+distrib:
+	@if [ "$(VERSION)" ]; then \
+	  if [ -d "../dhcpcd-$(VERSION)" ]; then \
+	    echo "dhcpcd-$(VERSION) already exists"; \
+	    exit 1; \
+	  fi; \
+	  mkdir ../dhcpcd-$(VERSION); \
+	  cp -r $(TARFILES) $(TARDIRS) ../dhcpcd-$(VERSION); \
+	  (cd ..; tar cvf - dhcpcd-$(VERSION) | gzip -9 >dhcpcd-$(VERSION).tar.gz); \
+	  rm -rf ../dhcpcd-$(VERSION); \
+	else \
+	  echo "specify the macro VERSION"; \
+	fi
 
 clean:
 	rm -f *.o *~ */*~ core
+
+seed:
+	@if [ "$(VERSION)" ]; then \
+	  ident $(TARFILES) | egrep 'Id:' >Seed-$(VERSION); \
+	  chmod 444 Seed-$(VERSION); \
+	else \
+	  echo "specify the macro VERSION"; \
+	fi
+
+snap:
+	  @ident $(TARFILES) | egrep 'Id:'

## dhcpcd 1.3.17pl2

=== Makefile ===
###############################################################################
#									      #
# 				Dhcpcd Makefile				      #
#									      #
# 	       Copyright (C) Sergei A. Viznyuk, January, 1998                 #
#			      All rights reserved.			      #
#									      #
###############################################################################

###########################
# PARAMETERS TO PLAY WITH #
###########################

#ADDS= -m586
#DEFS+= -DDEBUG		# for heavy debugging
#DEFS+= -DNEED_BCAST_RESPONSE
#DEFS+= -DARPCHECK

###########################
# NOTHING BELOW NEEDS YOU #
###########################

OSNAME=$(shell uname)
ARCH=$(shell uname -m)

ifeq ($(OSNAME),Linux)
CC = gcc
CFLAGS = -O2 $(ADDS) -fomit-frame-pointer -Wall $(DEFS)
ifeq ($(ARCH),i386)
CFLAGS+= -malign-loops=2 -malign-jumps=2 -malign-functions=2
endif
ifeq ($(ARCH),i486)
CFLAGS+= -malign-loops=2 -malign-jumps=2 -malign-functions=2
endif
ifeq ($(ARCH),i586)
CFLAGS+= -malign-loops=2 -malign-jumps=2 -malign-functions=2
endif
ifeq ($(ARCH),i686)
CFLAGS+= -malign-loops=2 -malign-jumps=2 -malign-functions=2
endif
LDFLAGS = -s -O2 -static
INCLUDES = -I.
else
CC = cc
CFLAGS = -O2
LDFLAGS =
INCLUDES = -I.
endif

objects = peekfd.o udpipgen.o buildmsg.o signals.o arp.o client.o dhcpcd.o

dhcpcd:	$(objects)
	$(CC) $(LDFLAGS) -o $@ $^
	@(ls -l $@)

udpipgen.o:	udpipgen.c udpipgen.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

buildmsg.o:	buildmsg.c client.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

signals.o:	signals.c dhcpcd.h client.h pathnames.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

arp.o:	arp.c client.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

client.o:	client.c client.h buildmsg.h udpipgen.h pathnames.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

dhcpcd.o:	dhcpcd.c dhcpcd.h signals.h client.h
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

%.o:	%.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

default: dhcpcd

install: dhcpcd
	install -c -m 0500 dhcpcd /sbin
	mkdir -p /etc/dhcpc
	
clean:
	rm -f $(objects) core *~

## dhcpcd 2.0.0

=== src/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/dhcpcd
pkglibdir = $(libdir)/dhcpcd
pkgincludedir = $(includedir)/dhcpcd
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/missing --run tar
AUTOCONF = ${SHELL} /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/missing --run makeinfo
OBJEXT = o
PACKAGE = dhcpcd
PACKAGE_BUGREPORT = 
PACKAGE_NAME = dhcpcd
PACKAGE_STRING = dhcpcd 2.0.0
PACKAGE_TARNAME = dhcpcd
PACKAGE_VERSION = 2.0.0
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 2.0.0
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/srk/dhcpcd-2.0.0/dhcpcd-2.0.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = \
	$(man_MANS)			\
	dhcpcd.exe


man_MANS = dhcpcd.8

sbin_PROGRAMS = dhcpcd 

dhcpcd_SOURCES = \
	peekfd.c		\
	udpipgen.c		\
	buildmsg.c		\
	signals.c		\
	arp.c			\
	dhcpconfig.c		\
	client.c		\
	cache.c			\
	dhcpcd.c		\
	signals.h		\
	buildmsg.h		\
	client.h		\
	dhcpcd.h		\
	pathnames.h		\
	signals.h		\
	kversion.h		\
	udpipgen.h


configdir = ${sysconfdir}/dhcpc
config_DATA = dhcpcd.exe
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
sbin_PROGRAMS = dhcpcd$(EXEEXT)
PROGRAMS = $(sbin_PROGRAMS)

am_dhcpcd_OBJECTS = peekfd.$(OBJEXT) udpipgen.$(OBJEXT) \
	buildmsg.$(OBJEXT) signals.$(OBJEXT) arp.$(OBJEXT) \
	dhcpconfig.$(OBJEXT) client.$(OBJEXT) cache.$(OBJEXT) \
	dhcpcd.$(OBJEXT)
dhcpcd_OBJECTS = $(am_dhcpcd_OBJECTS)
dhcpcd_LDADD = $(LDADD)
dhcpcd_DEPENDENCIES =
dhcpcd_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/arp.Po ./$(DEPDIR)/buildmsg.Po \
	./$(DEPDIR)/cache.Po ./$(DEPDIR)/client.Po \
	./$(DEPDIR)/dhcpcd.Po ./$(DEPDIR)/dhcpconfig.Po \
	./$(DEPDIR)/peekfd.Po ./$(DEPDIR)/signals.Po \
	./$(DEPDIR)/udpipgen.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(dhcpcd_SOURCES)

NROFF = nroff
MANS = $(man_MANS)
DATA = $(config_DATA)

DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(dhcpcd_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(sbindir)/$$f"; \
	  rm -f $(DESTDIR)$(sbindir)/$$f; \
	done

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
dhcpcd$(EXEEXT): $(dhcpcd_OBJECTS) $(dhcpcd_DEPENDENCIES) 
	@rm -f dhcpcd$(EXEEXT)
	$(LINK) $(dhcpcd_LDFLAGS) $(dhcpcd_OBJECTS) $(dhcpcd_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/arp.Po
include ./$(DEPDIR)/buildmsg.Po
include ./$(DEPDIR)/cache.Po
include ./$(DEPDIR)/client.Po
include ./$(DEPDIR)/dhcpcd.Po
include ./$(DEPDIR)/dhcpconfig.Po
include ./$(DEPDIR)/peekfd.Po
include ./$(DEPDIR)/signals.Po
include ./$(DEPDIR)/udpipgen.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

man8dir = $(mandir)/man8
install-man8: $(man8_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(man8dir)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
	done
uninstall-man8:
	@$(NORMAL_UNINSTALL)
	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    8*) ;; \
	    *) ext='8' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man8dir)/$$inst; \
	done
configDATA_INSTALL = $(INSTALL_DATA)
install-configDATA: $(config_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(configdir)
	@list='$(config_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(configDATA_INSTALL) $$d$$p $(DESTDIR)$(configdir)/$$f"; \
	  $(configDATA_INSTALL) $$d$$p $(DESTDIR)$(configdir)/$$f; \
	done

uninstall-configDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(config_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(configdir)/$$f"; \
	  rm -f $(DESTDIR)$(configdir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am

## dhcpcd 3.0.17

=== Makefile ===
VERSION = 3.0.17
CFLAGS ?= -O2 -pipe

# Should work for both GNU make and BSD make

# Saying that, this function only works with GNU Make :/
check_gcc=$(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
	  then echo "$(1)"; else echo "$(2)"; fi)

# Luckily we can do this more long winded thing with pmake used by the BSDs
# FIXME: Look into making this into a loop
WAFTST != if $(CC) -Wextra -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
	  then echo "-Wdeclaration-after-statement"; fi
WSEQ   != if $(CC) -Wextra -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
	  then echo "-Wsequence-point"; fi
WEXTRA != if $(CC) -Wextra -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
	  then echo "-Wextra"; fi

# Loads of nice flags to ensure our code is good
# IMPORTANT: We should be using c99 instead of gnu99 but for some reason
# generic linux headers as of 2.6.19 don't allow this in asm/types.h
CFLAGS += -pedantic -std=gnu99 \
    -Wall -Wunused -Wimplicit -Wshadow -Wformat=2 \
    -Wmissing-declarations -Wno-missing-prototypes -Wwrite-strings \
    -Wbad-function-cast -Wnested-externs -Wcomment -Winline \
    -Wchar-subscripts -Wcast-align -Wno-format-nonliteral \
    $(call check_gcc, -Wdeclaration-after-statement) \
    $(call check_gcc, -Wsequence-point) \
    $(call check_gcc, -Wextra) $(WAFTST) $(WSEQ) $(WEXTRA)

# -Werrror is a good flag to use for development, but some platforms may
#  have buggy headers from time to time, so you may need to comment this out
#CFLAGS += -Werror

# We define _BSD_SOURCE as GNU supports BSD too - which is nice :)
CDEFS = -D_BSD_SOURCE

INSTALL ?= install
DESTDIR =
SBINDIR = $(DESTDIR)/sbin
MANDIR = $(DESTDIR)/usr/share/man

SBIN_TARGETS = dhcpcd
MAN8_TARGETS = dhcpcd.8
TARGET = $(SBIN_TARGETS)

dhcpcd_H = version.h
dhcpcd_OBJS = arp.o client.o common.o configure.o dhcp.o dhcpcd.o \
		interface.o logger.o signals.o socket.o

# By default we don't need to link to anything
# Except on Darwin where we need -lresolv, so they need to uncomment this
#dhcpcd_LIBS = -lresolv

dhcpcd: $(dhcpcd_H) $(dhcpcd_OBJS)
	$(CC) $(LDFLAGS) $(dhcpcd_OBJS) $(dhcpcd_LIBS) -o dhcpcd

version.h:
	echo '#define VERSION "$(VERSION)"' > version.h

$(dhcpcd_OBJS): 
	$(CC) $(CDEFS) $(CFLAGS) -c $*.c

all: $(TARGET)

install: $(TARGET)
	$(INSTALL) -m 0755 -d $(SBINDIR)
	$(INSTALL) -m 0755 $(SBIN_TARGETS) $(SBINDIR)
	$(INSTALL) -m 0755 -d $(MANDIR)/man8
	$(INSTALL) -m 0755 $(MAN8_TARGETS) $(MANDIR)/man8

clean:
	rm -f $(TARGET) $(dhcpcd_H) *.o *~ *.core *.bz2

dist:
	$(INSTALL) -m 0755 -d /tmp/dhcpcd-$(VERSION)
	cp -RPp . /tmp/dhcpcd-$(VERSION)
	$(MAKE) -C /tmp/dhcpcd-$(VERSION) clean
	rm -rf /tmp/dhcpcd-$(VERSION)/*.bz2 /tmp/dhcpcd-$(VERSION)/.svn
	tar cvjpf dhcpcd-$(VERSION).tar.bz2 -C /tmp dhcpcd-$(VERSION)
	rm -rf /tmp/dhcpcd-$(VERSION)

## dhcpcd 3.2.3

=== Makefile ===
# Makefile based on BSD's pmake.
# Our mk stubs also work with GNU make.
# Copyright 2008 Roy Marples <roy@marples.name>

PROG=		dhcpcd
SRCS=		arp.c client.c common.c configure.c dhcp.c dhcpcd.c duid.c \
		info.c interface.c ipv4ll.c logger.c signal.c socket.c
MAN=		dhcpcd.8

VERSION=	3.2.3
CLEANFILES=	version.h dhcpcd.8

BINDIR=		${PREFIX}/sbin

.SUFFIXES:	.in

MK=		mk
include ${MK}/os.mk
include ${MK}/cc.mk
include ${MK}/prog.mk

# os.mk should define this, but heh
INFOD?=		/var/db

LDADD+=		${LIBRESOLV} ${LIBRT}
CFLAGS+=	-DINFODIR=\"${INFOD}\" ${FORK} ${RC}

# As version.h is generated by us, hardcode the depend correctly.
${SRCS}:	version.h
version.h:
	echo "#define VERSION \"${VERSION}\""> version.h

.in:
	sed 's:@PREFIX@:${PREFIX}:g; s:@INFODIR@:${INFOD}:g' $< > $@

## dhcpcd 10.0.1

=== debian/changelog ===
dhcpcd (1:10.0.1-3) unstable; urgency=medium

  * Reintroduce epoch for the whole package (Closes: #1040714).
    Since src:package dropped the 5, it too has a version older than Wheezy.
  * [rules]
    - Remove override_dh_gencontrol recipe as a result of the above.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Jul 2023 18:49:15 +0300

dhcpcd (10.0.1-2) unstable; urgency=medium

  * Add new Wheezy migration preinst by Andreas Beckmann (Closes: #1037190).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 09 Jul 2023 15:52:33 +0300

dhcpcd (10.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Drop all patches. Merged upstream.
  * [control]
    - Drop 5 from src:package name (Closes: #1026169).
  * [copyright],[dhcpcd-base.install]
    - Drop all Debian NTP hooks.
  * [rules]
    + Use upstream NTP hooks --with-hooks="ntp.conf timesyncd.conf" instead.
    + Include /usr/share/dpkg/pkg-info.mk needed for target version mingling.
    + Add epoch to bin:dhcpcd via override_dh_gencontrol (Closes: #1037190).
      Wheezy had (1:3.2.3-11+deb7u1) so reintroduce the epoch for one target.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 09 Jun 2023 11:30:21 +0300

dhcpcd5 (9.4.1-24) unstable; urgency=medium

  * Upload to unstable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 29 May 2023 15:45:31 +0800

dhcpcd5 (9.4.1-23) experimental; urgency=medium

  [ Martin-Éric Racine ]
  * Migrate both VCS addresses to 5-less ones.

  [ Shengjing Zhu ]
  * Drop Conflicts/Replaces dhcp-client (Closes: #1036085).
  * Drop deprecated ntpd integration (Closes: #1036092).
    No longer working since ntpd was superseded by ntpsec.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 28 May 2023 06:02:59 +0300

dhcpcd5 (9.4.1-22) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Migrate debian/watch to Github in cadence with upstream.
    Upstream no longer maintains his own private repository.
  * Import upstream GPG key.

  [ Shengjing Zhu ]
  * Fix autopkgtests (Closes: #1036098):
    + Use bind-interfaces in dnsmasq.conf.
    + Wait until NTP server is reloaded.
  * Backport seccomp patch to allow newfstatat syscall (Closes: #1034465)
  * Backport seccomp patch for SECCOMP_AUDIT_ARCH on ppc64el (Closes: #1036662)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 24 May 2023 15:03:22 +0300

dhcpcd5 (9.4.1-21) unstable; urgency=medium

  * Document migration to Predictable Network Interface Names in NEWS.Debian.
    Specify Debian 12 (Bookworm) as the release where this got implemented.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 14 Mar 2023 13:00:16 +0200

dhcpcd5 (9.4.1-20) unstable; urgency=medium

  * Finalize debian/control dependencies and phrasing.
    + Specify that Linux ports utilize Predictable Network Interface Names.
    = Move Suggests on resolvconf to dhcpcd-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 03 Mar 2023 09:21:00 +0200

dhcpcd5 (9.4.1-19) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 5.2.12-1, 5.2.7-3.
  * Trim trailing whitespace.
  [ Martin-Éric Racine ]
  * Revert 9.4.1-6 cherry-pick from upstream Git (Closes: #1019100).
    While that fixed a race condition, it also introduced a regression
    for cases when IPv6 link-local uses a 128-bit prefix.
    Due to the Bookworm freeze, reverting 9.4.1-6 feels appropriate.
    This may need to be revisited when the next upstream is released.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 19 Feb 2023 15:13:44 +0200

dhcpcd5 (9.4.1-18) unstable; urgency=medium

  * Add wpasupplicant to Recommends for dhcpcd-base for SSID profiles.
  * Ship an empty /etc/wpa_supplicant/ with dhcpcd for ReadWritePaths.
    Thanks to Beat Bolli for spotting that one in #1020641.
  * Add exit hook for IPv6 debugging to examples.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 12 Feb 2023 07:53:59 +0200

dhcpcd5 (9.4.1-17) unstable; urgency=medium

  * Fix systemd unit hardening to work with dhcpcd-gtk (Closes: #1020641).
    + Add /etc/wpa_supplicant /etc/dhcpcd.conf to ReadWritePaths.
    - Comment out PrivateTmp=true.
    Many thanks to martintxo and János Pásztor for extensive testing.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 08 Feb 2023 08:42:40 +0200

dhcpcd5 (9.4.1-16) unstable; urgency=medium

  * Add patch from upstream Git: Fix incorrect CTASSERT in ND_OPT_DNSSL.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 01 Feb 2023 07:07:23 +0200

dhcpcd5 (9.4.1-15) unstable; urgency=medium

  * Fix "dhcpcd fails to chroot during start" (Closes: #1029437).
    Thanks to János Pásztor for the patch.
  * Add ORed Depends on sysvinit-utils for obsolete lsb-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 Jan 2023 10:32:24 +0200

dhcpcd5 (9.4.1-14) unstable; urgency=medium

  * Revert "Add 4 patches from upstream Git to fix compiler warnings."
    Those 4 patches cannot be cherry-picked. They depend on earlier upstream
    Git commits without which the code breaks, even though it compiles fine.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Jan 2023 11:07:51 +0200

dhcpcd5 (9.4.1-13) unstable; urgency=medium

  * Update my copyright for 2023.
  * Move transitional package to Section: oldlibs.
  * Add 4 patches from upstream Git to fix compiler warnings:
    0008_use_return_of_functions.patch
    0009_fix_clang_compiler_warning.patch
    0010_fix_more_compiler_warnings.patch
    0011_remove_suffix_from_md5.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 14 Jan 2023 10:12:39 +0200

dhcpcd5 (9.4.1-12) unstable; urgency=medium

  * Add patch from Git 0007_set_buffer_lenght_to_0.patch (Closes: #1024357).
  * Migrate binaries from dhcpcd5 to dhcpcd.
    = Move maintainer scripts from dhcpcd5 to dhcpcd.
    + Add transitional package dhcpcd5.


=== debian/control ===
Source: dhcpcd
Section: net
Priority: optional
Homepage: https://roy.marples.name/projects/dhcpcd
Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: debhelper-compat (= 13),
               libudev-dev [linux-any],
               pkg-config
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/dhcpcd
Vcs-Git: https://salsa.debian.org/debian/dhcpcd.git

Package: dhcpcd-base
Architecture: any
Provides: dhcp-client
Replaces: dhcpcd5 (<< 9.4.1-2)
Breaks: dhcpcd5 (<< 9.4.1-2)
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wpasupplicant
Suggests: resolvconf | openresolv | systemd-resolved
Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
  * DHCPv4 client
  * DHCPv6 client with Prefix Delegation (PD) support
  * IPv4 LL support (ZeroConf)
  * IPv6 SLAAC support
  * ARP address conflict resolution
  * ARP ping profiles
  * Wireless SSID profiles
 .
 This package provides the binaries, exit hooks and manual pages.
 .
 It offers a dual-stack substitute for ISC DHCP Client (dhclient) on systems
 where interfaces are configured by ifupdown via </etc/network/interfaces>
 using the DHCP method.
 .
 The init.d script and systemd service required for systems without ifupdown
 are packaged separately as dhcpcd.
 .
 Since Debian 12 (Bookworm), dhcpcd uses Predictable Network Interface Names
 on Linux ports. See NEWS.Debian for more details.

Package: dhcpcd
Architecture: all
Depends: dhcpcd-base,
         sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: dhcpcd
Replaces: dhcpcd5 (<< 9.4.1-12)
Breaks: dhcpcd5 (<< 9.4.1-12)
Suggests: dhcpcd-gtk
Description: DHCPv4 and DHCPv6 dual-stack client (init.d script & systemd unit)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration.
 .
 This package provides the optional init.d script and systemd service.
 .
 It should NOT be installed on systems where interfaces are configured
 by ifupdown via </etc/network/interfaces> using the DHCP method.

Package: dhcpcd5
Section: oldlibs
Architecture: all
Depends: dhcpcd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: DHCPv4 and DHCPv6 dual-stack client (dummy transitional package)
 This package depends on dhcpcd. It can safely be removed after upgrades.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--privsepuser=dhcpcd \
		--dbdir=/var/lib/dhcpcd \
		--libexecdir=/usr/lib/dhcpcd \
		--rundir=/run/dhcpcd \
		--with-hooks="ntp.conf timesyncd.conf"

# Avoid starting the unconfigured service as it may break connectivity.
override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_installsystemd:
	dh_installsystemd --name=dhcpcd --no-start
	dh_installsystemd --name=dhcpcd@ --no-start

## dhcpcd 10.0.2

=== debian/changelog ===
dhcpcd (1:10.0.2-3ubuntu3) mantic; urgency=medium

  * Drop Recommends: on wpasupplicant.  LP: #2037044.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Sep 2023 17:54:00 -0700

dhcpcd (1:10.0.2-3ubuntu2) mantic; urgency=medium

  * d/p/privsep-fix-strlcpy-overflow.patch: fix strlcpy
    overflow in psp_ifname.

 -- Tobias Heider <tobias.heider@canonical.com>  Tue, 15 Aug 2023 18:18:09 +0200

dhcpcd (1:10.0.2-3ubuntu1) mantic; urgency=medium

  * Add OpenSSL compat patch (upstream PR !223)
  * Enable --with-openssl and add libssl dependency

 -- Tobias Heider <tobias.heider@canonical.com>  Wed, 09 Aug 2023 16:24:05 +0200

dhcpcd (1:10.0.2-3) unstable; urgency=medium

  * Revert "Drop transitional dhcpcd5 package."
  * Delete debian/gbp.conf.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 30 Jul 2023 17:50:38 +0300

dhcpcd (1:10.0.2-2) unstable; urgency=medium

  * Autopkgtest:
    + Specify timesyncd test Architecture as linux-any.
    = Fix the timesyncd path for IPv4 NTP servers.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 22 Jul 2023 09:16:48 +0300

dhcpcd (1:10.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional dhcpcd5 package.
  * Clean up autopkgtest directory:
    = Update timesyncd test to use upstream hooks.
    - Remove tests for Chrony, NTPD, OpenNTPD.
    = Fix path for dhcpcd binary.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 19 Jul 2023 19:04:37 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: net
 Priority: optional
 Homepage: https://roy.marples.name/projects/dhcpcd
-Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
 Build-Depends: debhelper-compat (= 13),
                libudev-dev [linux-any],
+               libssl-dev,
                pkg-config
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -19,7 +21,6 @@
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: wpasupplicant
 Suggests: resolvconf | openresolv | systemd-resolved
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 		--dbdir=/var/lib/dhcpcd \
 		--libexecdir=/usr/lib/dhcpcd \
 		--rundir=/run/dhcpcd \
-		--with-hooks="ntp.conf timesyncd.conf"
+		--with-hooks="ntp.conf timesyncd.conf" \
+		--with-openssl
 
 # Avoid starting the unconfigured service as it may break connectivity.
 override_dh_installinit:

=== debian/tests/control ===
Tests: timesyncd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed
Architecture: linux-any

Tests: sbin-dhcpcd-exists-without-usrmerge
Depends: @
Restrictions:

Tests: sbin-dhcpcd-exists-with-usrmerge
Depends: usrmerge,
         @
Restrictions: breaks-testbed

## dhcpcd 10.0.6

=== Makefile ===
SUBDIRS=	src hooks

PACKAGE=	dhcpcd
VERSION!=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' src/defs.h

DIST!=		if test -d .git; then echo "dist-git"; \
		else echo "dist-inst"; fi
FOSSILID?=	current
GITREF?=	HEAD

DISTSUFFIX=
DISTPREFIX?=	${PACKAGE}-${VERSION}${DISTSUFFIX}
DISTFILE?=	${DISTPREFIX}.tar.xz
DISTINFO=	${DISTFILE}.distinfo
DISTINFOMD=	${DISTINFO}.md
DISTSIGN=	${DISTFILE}.asc

CLEANFILES+=	*.tar.xz

.PHONY:		hooks import import-bsd tests

.SUFFIXES:	.in

all: config.h
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

depend: config.h
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

tests:
	cd $@; ${MAKE} $@

test: tests

hooks:
	cd $@; ${MAKE}

eginstall:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

install:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

proginstall:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

clean:
	rm -rf cov-int dhcpcd.xz
	for x in ${SUBDIRS} tests; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

distclean: clean
	rm -f config.h config.mk config.log \
		${DISTFILE} ${DISTINFO} ${DISTINFOMD} ${DISTSIGN}
	rm -f *.diff *.patch *.orig *.rej
	for x in ${SUBDIRS} tests; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

dist-git:
	git archive --prefix=${DISTPREFIX}/ v${VERSION} | xz >${DISTFILE}

dist-inst:
	mkdir /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	(cd /tmp/${DISTPREFIX}; make clean)
	tar -cvJpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX}

dist: ${DIST}

distinfo: dist
	rm -f ${DISTINFO} ${DISTSIGN}
	${SHA256} ${DISTFILE} >${DISTINFO}
	wc -c <${DISTFILE} \
		| xargs printf 'Size   (${DISTFILE}) = %s\n' >>${DISTINFO}
	${PGP} --armour --detach-sign ${DISTFILE}
	chmod 644 ${DISTSIGN}
	ls -l ${DISTFILE} ${DISTINFO} ${DISTSIGN}

${DISTINFOMD}: ${DISTINFO}
	echo '```' >${DISTINFOMD}
	cat ${DISTINFO} >>${DISTINFOMD}
	echo '```' >>${DISTINFOMD}

release: distinfo ${DISTINFOMD}
	gh release create v${VERSION} \
		--title "${PACKAGE} ${VERSION}" --draft --generate-notes \
		--notes-file ${DISTINFOMD} \
		${DISTFILE} ${DISTSIGN}

snapshot:
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	${MAKE} -C /tmp/${DISTPREFIX} distclean
	tar cf - -C /tmp ${DISTPREFIX} | xz >${DISTFILE}
	ls -l ${DISTFILE}

_import: dist
	rm -rf ${DESTDIR}/*
	${INSTALL} -d ${DESTDIR}
	tar xvpf ${DISTFILE} -C ${DESTDIR} --strip 1
	@${ECHO}
	@${ECHO} "============================================================="
	@${ECHO} "${PACKAGE}-${VERSION} imported to ${DESTDIR}"

import:
	${MAKE} _import DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else  echo /tmp/${DISTPREFIX}; fi`


_import-src: clean
	rm -rf ${DESTDIR}/*
	${INSTALL} -d ${DESTDIR}
	cp LICENSE README.md ${DESTDIR};
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} DESTDIR=${DESTDIR} $@ || exit $$?; cd ..; done
	@${ECHO}
	@${ECHO} "============================================================="
	@${ECHO} "${PACKAGE}-${VERSION} imported to ${DESTDIR}"

import-src:
	${MAKE} _import-src DESTDIR=`if [ -n "${DESTDIR}" ]; then echo "${DESTDIR}"; else  echo /tmp/${DISTPREFIX}; fi`

include Makefile.inc

=== hooks/Makefile ===
TOP=	../
include ${TOP}/iconfig.mk

PROG=		dhcpcd-run-hooks
BINDIR=		${LIBEXECDIR}
CLEANFILES=	dhcpcd-run-hooks
MAN8=		dhcpcd-run-hooks.8
CLEANFILES+=	dhcpcd-run-hooks.8

SCRIPTSDIR=	${HOOKDIR}
SCRIPTS=	01-test
SCRIPTS+=	20-resolv.conf
SCRIPTS+=	30-hostname
SCRIPTS+=	${HOOKSCRIPTS}
CLEANFILES+=	30-hostname

# Some hooks should not be installed by default
FILESDIR=	${DATADIR}/dhcpcd/hooks
FILES=		10-wpa_supplicant
FILES+=		15-timezone
FILES+=		29-lookup-hostname
FILES+=		${EGHOOKSCRIPTS}

.SUFFIXES:	.in

.in:
	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		${SED_STATUSARG} \
		${SED_DEFAULT_HOSTNAME} \
		-e 's:@YPDOMAIN_DIR@:${YPDOMAIN_DIR}:g' \
		-e 's:@YPDOMAIN_SUFFIX@:${YPDOMAIN_SUFFIX}:g' \
		$< > $@

all: ${PROG} ${MAN8} ${SCRIPTS} ${EGHOOKSCRIPTS}

clean:
	rm -f ${CLEANFILES} 50-ypbind

distclean: clean
	rm -f *.diff *.patch *.orig *.rej

depend:

proginstall: ${PROG} ${SCRIPTS}
	${INSTALL} -d ${DESTDIR}${BINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} ${DESTDIR}${SCRIPTSDIR}
	# We need to remove the old MTU change script if we at all can.
	rm -f ${DESTDIR}${SCRIPTSDIR}/10-mtu

eginstall: ${FILES}
	${INSTALL} -d ${DESTDIR}${FILESDIR}
	${INSTALL} -m ${NONBINMODE} ${FILES} ${DESTDIR}${FILESDIR}

maninstall: ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

install: proginstall eginstall maninstall

import: ${SCRIPTS} ${FILES}
	${INSTALL} -d /tmp/${DISTPREFIX}/dhcpcd-hooks
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} /tmp/${DISTPREFIX}/dhcpcd-hooks
	${INSTALL} -m ${NONBINMODE} ${FILES} /tmp/${DISTPREFIX}/dhcpcd-hooks

_import-src: all
	${INSTALL} -d ${DESTDIR}/hooks
	${INSTALL} -m ${NONBINMODE} ${PROG} ${MAN8} ${DESTDIR}/hooks
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} ${DESTDIR}/hooks
	${INSTALL} -m ${NONBINMODE} ${FILES} ${DESTDIR}/hooks

include ${TOP}/Makefile.inc

=== src/Makefile ===
# dhcpcd Makefile

PROG=		dhcpcd
SRCS=		common.c control.c dhcpcd.c duid.c eloop.c logerr.c
SRCS+=		if.c if-options.c sa.c route.c
SRCS+=		dhcp-common.c script.c

CFLAGS?=	-O2
SUBDIRS+=	${MKDIRS}

TOP=		..
include		${TOP}/iconfig.mk

CSTD?=		c99
CFLAGS+=	-std=${CSTD}
CPPFLAGS+=	-I${TOP} -I${TOP}/src -I./crypt

SRCS+=		${DHCPCD_SRCS} ${PRIVSEP_SRCS}
DHCPCD_DEF?=	dhcpcd-definitions.conf
DHCPCD_DEFS=	dhcpcd-definitions.conf dhcpcd-definitions-small.conf

PCOMPAT_SRCS=	${COMPAT_SRCS:compat/%=${TOP}/compat/%}
PCRYPT_SRCS=	${CRYPT_SRCS:compat/%=${TOP}/compat/%}
OBJS+=		${SRCS:.c=.o} ${PCRYPT_SRCS:.c=.o} ${PCOMPAT_SRCS:.c=.o}

MAN5=		dhcpcd.conf.5
MAN8=		dhcpcd.8
CLEANFILES=	dhcpcd.conf.5 dhcpcd.8

FILES=		dhcpcd.conf
FILESDIR=	${SYSCONFDIR}

DEPEND!=	test -e .depend && echo ".depend" || echo ""

CLEANFILES+=	*.tar.xz

.PHONY:		import import-bsd dev test

.SUFFIXES:	.in

.in:
	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		${SED_STATUSARG} \
		$< > $@

all: ${TOP}/config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

dev:
	cd dev && ${MAKE}

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

CLEANFILES+=	dhcpcd-embedded.h dhcpcd-embedded.c

dhcpcd-embedded.h: genembedh ${DHCPCD_DEFS} dhcpcd-embedded.h.in
	${HOST_SH} ${.ALLSRC} $^ > $@

dhcpcd-embedded.c: genembedc ${DHCPCD_DEFS} dhcpcd-embedded.c.in
	${HOST_SH} ${.ALLSRC} $^ > $@

if-options.c: dhcpcd-embedded.h

.depend: ${SRCS} ${PCRYPT_SRCS} ${PCOMPAT_SRC}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${PCRYPT_SRCS} ${PCOMPAT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

lint:
	${LINT} -Suz ${CPPFLAGS} ${SRCS} ${PCRYPT_SRCS} ${PCOMPAT_SRCS}

_embeddedinstall: ${DHCPCD_DEF}
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${CONFMODE} ${DHCPCD_DEF} ${DESTDIR}${LIBEXECDIR}

_proginstall: ${PROG}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${DBMODE} -d ${DESTDIR}${DBDIR}

proginstall: _proginstall ${EMBEDDEDINSTALL}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

_maninstall: ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} ${MAN5} ${DESTDIR}${MANDIR}/man5
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

_confinstall:
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	# Install a new default config if not present
	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
	
eginstall:

install: proginstall _maninstall _confinstall eginstall

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@ || exit $$?; cd ..; done

distclean: clean
	rm -f .depend
	rm -f *.diff *.patch *.orig *.rej

_import-src: ${SRCS} ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}/src
	for x in defs.h ${SRCS} ${SRCS:.c=.h} dev.h ${MAN5} ${MAN8}; do \
		[ ! -e "$$x" ] || cp $$x ${DESTDIR}/src; \
	done
	cp dhcpcd.conf ${DESTDIR}/src
	if [ -n "${COMPAT_SRCS}" ]; then \
		${INSTALL} -d ${DESTDIR}/compat; \
		for x in ${COMPAT_SRCS} ${COMPAT_SRCS:.c=.h}; do \
			[ ! -e "../$$x" ] || cp "../$$x" ${DESTDIR}/compat; \
		done; \
	fi
	if ! grep HAVE_SYS_BITOPS_H ../config.h; then \
		cp ../compat/bitops.h ${DESTDIR}/compat; \
	fi
	if grep compat/consttime_memequal.h ../config.h; then \
		cp ../compat/consttime_memequal.h ${DESTDIR}/compat; \
	fi
	if [ -e ${DESTDIR}/compat/rb.c ]; then \
		cp ../compat/rbtree.h ${DESTDIR}/compat; \
	fi
	if [ -e ${DESTDIR}/compat/strtoi.c ]; then \
		cp ../compat/_strtoi.h ${DESTDIR}/compat; \
	fi
	if [ -n "${CRYPT_SRCS}" ]; then \
		${INSTALL} -d ${DESTDIR}/compat/crypt; \
		for x in ${CRYPT_SRCS} ${CRYPT_SRCS:.c=.h}; do \
			cp "../$$x" ${DESTDIR}/compat/crypt; \
		done; \
	fi
	# DragonFlyBSD builds base version with private crypto
	if [ `uname` = DragonFly ]; then rm ${DESTDIR}/compat/crypt/md5* ${DESTDIR}/compat/crypt/sha256*; fi

include ${TOP}/Makefile.inc

=== debian/changelog ===
dhcpcd (1:10.0.6-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:48:02 +0000

dhcpcd (1:10.0.6-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:38:45 +0000

dhcpcd (1:10.0.6-1ubuntu1) noble; urgency=medium

  * Remove test dependencies on usrmerge (LP: #2051674).

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 02 Feb 2024 17:27:52 +0100

dhcpcd (1:10.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 19 Dec 2023 04:09:22 +0200

dhcpcd (1:10.0.5-5) unstable; urgency=medium

  * [patches]
    - Remove all GNU/Hurd patches. Let Hurd porters handle that.
  * [control]
    = Breaks/Replaces: dhcpcd5 using (<< ${binary:Version}) variable.
  * [rules]
    + Add --no-stop-on-upgrade --no-restart-after-upgrade (Closes: #1057959).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 12 Dec 2023 18:50:16 +0200

dhcpcd (1:10.0.5-4) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 003_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 22 Nov 2023 08:42:43 +0200

dhcpcd (1:10.0.5-3) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 002_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 18 Nov 2023 14:46:18 +0200

dhcpcd (1:10.0.5-2) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 001_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 16 Nov 2023 13:22:06 +0200

dhcpcd (1:10.0.5-1) unstable; urgency=low

  * New upstream release:
    Fixes "Version 10.0.4 fails to fork in the background" (Closes: #1055275).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 10 Nov 2023 17:54:05 +0200

dhcpcd (1:10.0.4-1) unstable; urgency=low

  * New upstream release.
  * Migrate Breaks/Replaces dhcpcd5 (<< 9.4.1-2) to Conflicts.
  * Build against OpenSSL instead of upstream's crypto support.
    + [control] Build-Depends: libssl-dev
    + [rules] --with-openssl

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Oct 2023 21:43:06 +0300

dhcpcd (1:10.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move Recommends on wpasupplicant from dhcpcd-base to dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 06 Oct 2023 13:41:36 +0300

dhcpcd (1:10.0.2-4) unstable; urgency=medium

  [ lintian-brush ]
  * Set upstream metadata: Bug-[Database|Submit], Repository[-Browse].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 09 Aug 2023 17:04:52 +0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
 Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
                libudev-dev [linux-any],
-               libssl-dev,
                pkg-config
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -15,13 +15,13 @@
 
 Package: dhcpcd-base
 Architecture: any
-Provides: dhcp-client
-Replaces: dhcpcd5 (<< 9.4.1-2)
-Breaks: dhcpcd5 (<< 9.4.1-2)
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: resolvconf | openresolv | systemd-resolved
+Provides: dhcp-client
+Replaces: dhcpcd5 (<< ${binary:Version})
+Breaks: dhcpcd5 (<< ${binary:Version})
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
   * DHCPv4 client
@@ -50,10 +50,11 @@
          sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: wpasupplicant
+Suggests: dhcpcd-gtk
 Provides: dhcpcd
-Replaces: dhcpcd5 (<< 9.4.1-12)
-Breaks: dhcpcd5 (<< 9.4.1-12)
-Suggests: dhcpcd-gtk
+Replaces: dhcpcd5 (<< ${binary:Version})
+Breaks: dhcpcd5 (<< ${binary:Version})
 Description: DHCPv4 and DHCPv6 dual-stack client (init.d script & systemd unit)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration.
  .

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 # Avoid starting the unconfigured service as it may break connectivity.
 override_dh_installinit:
-	dh_installinit --name=dhcpcd --no-start
+	dh_installinit --name=dhcpcd --no-start --no-stop-on-upgrade --no-restart-after-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --name=dhcpcd --no-start
-	dh_installsystemd --name=dhcpcd@ --no-start
+	dh_installsystemd --name=dhcpcd --no-start --no-stop-on-upgrade --no-restart-after-upgrade
+	dh_installsystemd --name=dhcpcd@ --no-start --no-stop-on-upgrade --no-restart-after-upgrade

=== debian/tests/control ===
--- 
+++ 
@@ -9,8 +9,3 @@
 Tests: sbin-dhcpcd-exists-without-usrmerge
 Depends: @
 Restrictions:
-
-Tests: sbin-dhcpcd-exists-with-usrmerge
-Depends: usrmerge,
-         @
-Restrictions: breaks-testbed
